#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%define		pdir	Class
%define		pnam	Singleton
Summary:	Class::singleton - implementation of a "Singleton" class
Summary(pl.UTF-8):	Class::Singleton - implementacja klasy Singleton
Name:		perl-Class-Singleton
Version:	1.6
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Class/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	d9c84a7b8d1c490c38e88ed1f9faae47
URL:		https://metacpan.org/release/Class-Singleton
BuildRequires:	perl-ExtUtils-MakeMaker >= 6.64
BuildRequires:	perl-devel >= 1:5.8.1
%if %{with tests}
BuildRequires:	perl-Test-Simple
%endif
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	rpmbuild(macros) >= 1.745
Obsoletes:	perl-Class-Sigleton < 1.04
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is the Class::Singleton module. A Singleton describes an object
class that can have only one instance in any system. An example of
a Singleton might be a print spooler or system registry. This module
implements a Singleton class from which other classes can be derived.
By itself, the Class::Singleton module does very little other than
manage the instantiation of a single object. In deriving a class from
Class::Singleton, your module will inherit the Singleton instantiation
method and can implement whatever specific functionality is required.

%description -l pl.UTF-8
To jest moduł Class::Singleton. Singleton opisuje obiekt klasy, który
ma tylko jedną instancję w systemie - na przykład serwer wydruków. Ten
moduł implementuje klasę Singleton, z której można dziedziczyć inne
klasy. Sam moduł Class::Singleton robi niewiele więcej niż samo
zarządzanie pojedynczą instancją obiektu. Poprzez dziedziczenie z
klasy z Class:Singleton, moduły odziedziczą istnienie pojedynczej
instancji w systemie, a dodatkowo mogą mieć zaimplementowaną właściwą
funkcjonalność.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc LICENCE Changes
%{perl_vendorlib}/Class/Singleton.pm
%{_mandir}/man3/Class::Singleton.3pm*
%changelog
* Tue May 18 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Class-Singleton.git;a=log;h=master

* Mon May 17 2021 Jakub Bogusz <qboosh@pld-linux.org> 4f93a23
- updated to 1.6

* Sun May 03 2020 Jakub Bogusz <qboosh@pld-linux.org> 7a186bf
- macros for perl autodeps

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 412ed7e
- drop obsolete and outdated manual inclusion of rpm macros

* Sun Nov 27 2016 Jakub Bogusz <qboosh@pld-linux.org> f3bad91
- updated to 1.5

* Wed Dec 26 2007 Jakub Bogusz <qboosh@pld-linux.org> 7ed4617
- fixed Source0 URL

* Wed Dec 26 2007 zbyniu <zbyniu@pld-linux.org> e476f64
- up to 1.4; generic URL

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 2839c57
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> b112482
- converted to UTF-8

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 5a21002
- formatting

* Fri May 07 2004 ankry <ankry@pld-linux.org> b2c0d4b
- rel. 3

* Thu May 06 2004 ankry <ankry@pld-linux.org> 4d755c8
- fixed perl-devel BR

* Sun Apr 25 2004 ankry <ankry@pld-linux.org> 166ff2e
- tests added

* Sun Apr 18 2004 ankry <ankry@pld-linux.org> 1857a6c
- summary, description and license fixes

* Tue Sep 09 2003 ankry <ankry@pld-linux.org> e1b5362
- spaces -> tab

* Mon Aug 18 2003 Tomasz Pala <gotar@pld-linux.org> 811b0bd
- mass commit: cosmetics (removed trailing white spaces)

* Wed May 28 2003 Michal Moskal <michal@moskal.me> 01e1e51
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> d527812
- massive attack s/pld.org.pl/pld-linux.org/

* Fri Apr 11 2003 radek <radek@pld-linux.org> 4f6d45b
- BR: perl-devel; do not BR: perl

* Sat Mar 01 2003 radek <radek@pld-linux.org> a86d22b
- should be ready for perl-5.8.0; release++

* Tue Feb 25 2003 radek <radek@pld-linux.org> cc46f0f
- use the __perl macro

